## MgDbmsUpdateViewer

MgDbmsUpdateViewer — Progress bars for the DBMS update process

## Synopsis

    struct      MgDbmsUpdateViewer;
    struct      MgDbmsUpdateViewerPriv;
    guint       mg_dbms_update_viewer_get_type  (void);
    GtkWidget*  mg_dbms_update_viewer_new       (MgConf *conf);
    void        mg_dbms_update_viewer_reset     (MgDbmsUpdateViewer *mgv);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkVBox
                                     +----MgDbmsUpdateViewer

## Implemented Interfaces

MgDbmsUpdateViewer implements AtkImplementorIface.

## Description

## Details

### struct MgDbmsUpdateViewer

    struct MgDbmsUpdateViewer;

### struct MgDbmsUpdateViewerPriv

    struct MgDbmsUpdateViewerPriv;

### mg_dbms_update_viewer_get_type ()

    guint       mg_dbms_update_viewer_get_type  (void);

Returns : |

### mg_dbms_update_viewer_new ()

    GtkWidget*  mg_dbms_update_viewer_new       (MgConf *conf);

Creates a new MgDbmsUpdateViewer widget.

`conf` : | a MgConf object
Returns : | the new widget

### mg_dbms_update_viewer_reset ()

    void        mg_dbms_update_viewer_reset     (MgDbmsUpdateViewer *mgv);

Reset the widget to the default (clears all the items and sets the progress bar to 0%)

`mgv` : | An MgDbmsUpdateViewer widget